### Hierarchy

- IWebDriverOptionsCookie
  - IWebDriverCookie

## Index

### Properties

- domain
- expiry
- httpOnly
- name
- path
- secure
- value

## Properties

### Optional domain

domain?: string

Inherited from IWebDriverOptionsCookie.domain

The domain the cookie is visible to. Defaults to the current browsing context's document's URL when adding a cookie.

### Optional expiry

expiry?: number

Overrides IWebDriverOptionsCookie.expiry

When the cookie expires.

The expiry is always returned in seconds since epoch when {@linkplain Options#getCookies() retrieving cookies} from the browser.

### Optional httpOnly

httpOnly?: boolean

Inherited from IWebDriverOptionsCookie.httpOnly

Whether the cookie is an HTTP only cookie. Defaults to false when adding a new cookie.

### name

name: string

Inherited from IWebDriverOptionsCookie.name

The name of the cookie.

### Optional path

path?: string

Inherited from IWebDriverOptionsCookie.path

The cookie path. Defaults to "/" when adding a cookie.

### Optional secure

secure?: boolean

Inherited from IWebDriverOptionsCookie.secure

Whether the cookie is a secure cookie. Defaults to false when adding a new cookie.

### value

value: string

Inherited from IWebDriverOptionsCookie.value

The cookie value.

Generated using TypeDoc